Source: opengnsys-flask-executor
Maintainer: OpenGnsys <opengnsys@opengnsys.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libarchive-dev,
               python3-all,
               python3-mock,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/vojtechtrefny/pyblkid
Vcs-Browser: https://github.com/vojtechtrefny/pyblkid
Vcs-Git: https://github.com/vojtechtrefny/pyblkid

Package: opengnsys-flask-executor
Architecture: all
Depends: ${lib:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Python3 Flask-Executor module
 Sometimes you need a simple task queue without the overhead of separate worker
 processes or powerful-but-complex libraries beyond your requirements.
 .
 Flask-Executor is an easy to use wrapper for the concurrent.futures module that
 lets you initialise and configure executors via common Flask application patterns. 
 It's a great way to get up and running fast with a lightweight in-process task queue.
 .
